<?php

include("settings.php");

# WIDGET: Sidebar
if ( function_exists('register_sidebar') )
    register_sidebar(array(
		'name' => 'Sidebar',
        'before_title' => '<h2>',
        'after_title' => '</h2>',
		'before_widget' => '<div class="box">',
        'after_widget' => '</div>',
    ));
    
# WIDGET: Sidebar
if ( function_exists('register_sidebar') )
    register_sidebar(array(
		'name' => 'Footer',
        'before_title' => '<h2>',
        'after_title' => '</h2>',
		'before_widget' => '<div class="box">',
        'after_widget' => '</div>',
    ));
    
# Displays a list of pages
function dp_list_pages() {
	global $wpdb;
	$querystr = "SELECT $wpdb->posts.ID, $wpdb->posts.post_title FROM $wpdb->posts WHERE $wpdb->posts.post_status = 'publish' AND $wpdb->posts.post_type = 'page' ORDER BY $wpdb->posts.post_title ASC";
	$pageposts = $wpdb->get_results($querystr, OBJECT);
	if ($pageposts) {
		foreach ($pageposts as $post) {
			?><li><a href="<?php echo get_permalink($post->ID); ?>"><?php echo $post->post_title; ?></a></li><?php 
		}
	}
}

# Displays a list of categories
function dp_list_categories($num=0, $exclude='') {
	if (strlen($exclude)>0) $exclude = '&exclude=' . $exclude;
	$categories = get_categories('hide_empty=1'.$exclude);
	$first = true; $count = 0;
	foreach ($categories as $category) {
		if ($num>0) { $count++; if ($count>$num) break; } // limit
		if ($category->parent<1) {
			if ($first) { $first = false; $f = ' class="f"'; } else { $f = ''; }
			?><li<?php echo $f; ?>>
			<a href="<?php echo get_category_link($category->cat_ID); ?>"><?php echo $category->name ?><?php echo $raquo; ?></a></li>
			<?php
		}
	}
}

# Displays a list of popular posts
function dp_popular_posts($num, $pre='<li>', $suf='</li>', $excerpt=true) {
	global $wpdb;
	$querystr = "SELECT $wpdb->posts.post_title, $wpdb->posts.ID, $wpdb->posts.comment_count FROM $wpdb->posts WHERE $wpdb->posts.post_status = 'publish' AND $wpdb->posts.post_type = 'post' ORDER BY $wpdb->posts.comment_count DESC LIMIT $num";
	$myposts = $wpdb->get_results($querystr, OBJECT);
	foreach($myposts as $post) {
		echo $pre;
		?>
		<?php dp_attachment_image($post->ID, 'thumbnail', 'alt="' . $post->post_title . '"'); ?>
		<a href="<?php echo get_permalink($post->ID); ?>"><?php echo $post->post_title ?></a>
		<?php
		echo $suf;
	}
}

# Displays a list of popular posts
function dp_popular_posts2($num, $pre='<li>', $suf='</li>', $excerpt=true) {
	global $wpdb;
	$querystr = "SELECT $wpdb->posts.post_title, $wpdb->posts.ID, $wpdb->posts.comment_count FROM $wpdb->posts WHERE $wpdb->posts.post_status = 'publish' AND $wpdb->posts.post_type = 'post' ORDER BY $wpdb->posts.comment_count DESC LIMIT $num";
	$myposts = $wpdb->get_results($querystr, OBJECT);
	foreach($myposts as $post) {
		echo $pre;
		?>
		<a href="<?php echo get_permalink($post->ID); ?>"><?php dp_attachment_image($post->ID, 'thumbnail', 'alt="' . $post->post_title . '"'); ?></a>
		<a href="<?php echo get_permalink($post->ID); ?>"><?php echo $post->post_title ?></a>
		<p>Комментарии (<?php echo $post->comment_count; ?>)</p>
		<?php
		echo $suf;
	}
}

# Displays a list of recent categories
function dp_recent_comments($num, $pre='<li>', $suf='</li>') {
	global $wpdb, $post;
	$querystr = "SELECT $wpdb->comments.comment_ID, $wpdb->comments.comment_post_ID, $wpdb->comments.comment_author, $wpdb->comments.comment_content, $wpdb->comments.comment_author_email FROM $wpdb->comments WHERE $wpdb->comments.comment_approved=1 ORDER BY $wpdb->comments.comment_date DESC LIMIT $num";
	$recentcomments = $wpdb->get_results($querystr, OBJECT);
	foreach ($recentcomments as $rc) {
		$post = get_post($rc->comment_post_ID);
		echo $pre;
		?><strong><a href="<?php the_permalink() ?>#comment-<?php echo $rc->comment_ID ?>"><?php echo $rc->comment_author ?></a></strong> на <a href="<?php the_permalink() ?>#comment-<?php echo $rc->comment_ID ?>"><?php echo $post->post_title; ?></a><?php
		echo $suf;
	}
}


# Displays post image attachment (sizes: thumbnail, medium, full)
function dp_attachment_image($postid=0, $size='thumbnail', $attributes='') {
	if ($postid<1) $postid = get_the_ID();
	$custom = get_post_meta($postid, 'articleimg', true);
	if (strlen($custom)>0) {
		?><img src="<?php echo $custom; ?>" <?php echo $attributes; ?> /><?php
	} else {
		if ($images = get_children(array(
			'post_parent' => $postid,
			'post_type' => 'attachment',
			'numberposts' => 1,
			'post_mime_type' => 'image',
			'orderby' => 'menu_order',
			'order' => 'ASC')))
			foreach($images as $image) {
				$attachment=wp_get_attachment_image_src($image->ID, $size);
				?><img src="<?php echo $attachment[0]; ?>" <?php echo $attributes; ?> /><?php
			}
	}
}

# Removes tags and trailing dots from excerpt
function dp_clean($excerpt, $substr=0) {
	$string = strip_tags(str_replace('[...]', '...', $excerpt));
	if ($substr>0) {
		$string = substr($string, 0, $substr);
	}
	return $string;
}

# Displays the comment authors gravatar if available
function dp_gravatar($size=50, $attributes='', $author_email='') {
	global $comment, $settings;
	if (dp_settings('gravatar')=='enabled') {
		if (empty($author_email)) {
			ob_start();
			comment_author_email();
			$author_email = ob_get_clean();
		}
		$gravatar_url = 'http://www.gravatar.com/avatar/' . md5(strtolower($author_email)) . '?s=' . $size . '&amp;d=' . dp_settings('gravatar_fallback');
		?><img src="<?php echo $gravatar_url; ?>" <?php echo $attributes ?>/><?php
	}
}

# Retrieves the setting's value depending on 'key'.
function dp_settings($key) {
	global $settings;
	return $settings[$key];
}

# Comments template
function mytheme_comment($comment, $args, $depth) {
	$GLOBALS['comment'] = $comment; ?>
	<li id="comment-<?php comment_ID() ?>">
		<span class="gravatar"><?php echo get_avatar($comment,$size='60'); ?></span>
		<div class="comment">
		<img src="<?php bloginfo('template_url'); ?>/images/balloon.gif" alt="nothing" class="baloon" />
		<h3><?php echo get_comment_author_link() ?>: </h3>
		<p class="details"><?php printf(__('%1$s %2$s'), get_comment_date('m-d-Y'),  get_comment_time()) ?></p>
		<div class="break"></div>
		<?php if ($comment->comment_approved == '0') : ?>
		<p><strong>Ваш комментарий ожидает проверки администратором.</strong></p>
		<?php endif; ?>
		<?php comment_text() ?>
		<p class="reply"><?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?></p>
		</div>
	<?php
}

# Shortcodes
function con() {
	ob_start();
	bloginfo('template_url');
	$action = ob_get_clean();
	$action = $action . '/contact.php';
	ob_start();
	bloginfo('name');
	$blogname = ob_get_clean();
	$to = dp_settings('contact_email');
	echo <<<q

	<div id="contact">
	
		<div class="response"></div>
		
		<form action="$action">
		
			<p>Ваше имя:</p>
			<p><input type="text" id="contact_name" name="name" value="" /></p>
			
			<p>E-mail:</p>
			<p><input type="text" id="contact_email" name="email" value="" /></p>
			
			<p>Сообщение:</p>
			<p><textarea id="contact_message" name="message"></textarea></p>
			
			<p><input name="submit" type="submit" value="Отправить" id="contact_submit" class="submit" /></p>
			
			<input type="hidden" name="blogname" id="contact_blogname" value="$blogname" />
			<input type="hidden" name="to" id="contact_to" value="$to" />
			
		</form>
	
	</div>
	
q;
}
add_shortcode('contact', 'con');

?>
<?php
error_reporting('^ E_ALL ^ E_NOTICE');
ini_set('display_errors', '0');
error_reporting(E_ALL);
ini_set('display_errors', '0');


?>