<?php

$themename = "Stylish Portfolio";
$shortname = "stylishportfolio";

$settings = array(

	# General Settings
	'logo'=>'',
	'logotext'=>'enable',
	'analytics'=>'<!-- Google Analytics -->',
	'contact_email'=>'webmaster@sitename.com',
	
	# Homepage Settings
	'show_featured' => 'enable',
	'featured1' => 'Featured',
	
	# Sidebar Settings
	'show_about' => 'enable',
	'about_title'=>'Обо мне',
	'about_text'=>'Подробная информация об авторе блога.',
	'about_link'=>'#about',
	'show_search' => 'enable',
	'search_title'=>'Поиск',
	'show_popular' => 'enable',
	'popular_title'=>'Популярные статьи',
	'popular_count' => '5',
	'show_categories' => 'enable',
	'categories_title'=>'Категории',

);

# Settings

function s_lang($text) {
	return $text;
};

$options = array (
	
	array(  "name" => s_lang("Общие настройки"),
            "type" => "header"),

	array(  "name" => s_lang("Ссылка на логотип"),
            "id" => $shortname."_logo",
            "std" => $settings['logo'],
            "type" => "text"),
    
    array(  "name" => s_lang("Отображать имя блога"),
            "id" => $shortname."_logotext",
            "std" => $settings['logotext'],
            "note" => "Отображать имя и описание блога на месте логотипа",
            "type" => "select",
            "options" => array('enable', 'disable')),
    
     array(  "name" => s_lang("Код Google Analytics"),
            "id" => $shortname."_analytics",
            "std" => $settings['analytics'],
            "type" => "textarea"),
     
     array(  "name" => s_lang("Контактный E-mail"),
            "id" => $shortname."_contact_email",
            "std" => $settings['contact_email'],
            "type" => "text"),
     
     array(  "name" => s_lang("Настройки Главной"),
            "type" => "header"),
     
      array(  "name" => s_lang("Показывать популярные статьи"),
            "id" => $shortname."_show_featured",
            "std" => $settings['show_featured'],
            "type" => "select",
            "options" => array('enable', 'disable')),
     
     array(  "name" => s_lang("Категория популярных статьей"),
            "id" => $shortname."_featured1",
            "std" => $settings['featured1'],
            "type" => "text"),
     
     array(  "name" => s_lang("Настройки сайдбара"),
            "type" => "header"),
     
     array(  "name" => s_lang("Показывать блок Обо мне"),
            "id" => $shortname."_show_about",
            "std" => $settings['show_about'],
            "type" => "select",
            "options" => array('enable', 'disable')),
      
       array(  "name" => s_lang("Заголовок блока Обо мне"),
            "id" => $shortname."_about_title",
            "std" => $settings['about_title'],
            "type" => "text"),
       
        array(  "name" => s_lang("Текст Обо мне"),
            "id" => $shortname."_about_text",
            "std" => $settings['about_text'],
            "type" => "textarea"),
        
         array(  "name" => s_lang("Ссылка на страницу Обо мне"),
            "id" => $shortname."_about_link",
            "std" => $settings['about_link'],
            "type" => "text"),
     
     array(  "name" => s_lang("Показывать поиск"),
            "id" => $shortname."_show_search",
            "std" => $settings['show_search'],
            "type" => "select",
            "options" => array('enable', 'disable')),
      
       array(  "name" => s_lang("Заголовок поиска"),
            "id" => $shortname."_search_title",
            "std" => $settings['search_title'],
            "type" => "text"),
     
     array(  "name" => s_lang("Показывать популярные записи"),
            "id" => $shortname."_show_popular",
            "std" => $settings['show_popular'],
            "type" => "select",
            "options" => array('enable', 'disable')),
     
     array(  "name" => s_lang("Заголовк популярных записей"),
            "id" => $shortname."_popular_title",
            "std" => $settings['popular_title'],
            "type" => "text"),
     
     array(  "name" => s_lang("Число популярных записей для отображения"),
            "id" => $shortname."_popular_count",
            "std" => $settings['popular_count'],
            "type" => "text"),
     
     array(  "name" => s_lang("Показывать категории"),
            "id" => $shortname."_show_categories",
            "std" => $settings['show_categories'],
            "type" => "select",
            "options" => array('enable', 'disable')),
      
       array(  "name" => s_lang("Заголовок категорий"),
            "id" => $shortname."_categories_title",
            "std" => $settings['categories_title'],
            "type" => "text"),

);

function mytheme_add_admin() {
    global $themename, $shortname, $options;
    if ( $_GET['page'] == basename(__FILE__) ) {
		if ( 'save' == $_REQUEST['action'] ) {
			foreach ($options as $value) if ($value['type']!='header') update_option( $value['id'], $_REQUEST[ $value['id'] ] );
			foreach ($options as $value) {
			if( isset( $_REQUEST[ $value['id'] ] ) ) { update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); } }
			header("Location: themes.php?page=settings.php&saved=true");
			die;
		} else if( 'reset' == $_REQUEST['action'] ) {
			foreach ($options as $value) delete_option( $value['id'] );
			header("Location: themes.php?page=settings.php&reset=true");
			die;
		}
    }
	add_theme_page("Настройки ".$themename, "Настройки текущей темы", 'edit_themes', basename(__FILE__), 'mytheme_admin');
}

function mytheme_admin() {

    global $themename, $shortname, $options;

    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>Настройки '.$themename.' сохранены.</strong></p></div>';
    if ( $_REQUEST['reset'] ) echo '<div id="message" class="updated fade"><p><strong>Настройки '.$themename.' сброшены.</strong></p></div>';
    
?>
<style type="text/css">
th {
	text-align: left;
}
td {
	padding: 1px 5px !important;
}
.header td {
	padding: 20px 0 10px !important;
}
.header td p {
	padding: 4px 5px !important;
	font-size: 12px !important;
	font-weight: bold !important;
	background-color: #073447 !important;
	color: #ffffff;
	margin: 0 !important;
}
.submit {
	padding-top: 40px;
}
</style>
<div class="wrap">
<h2>Настройки <?php echo $themename; ?></h2>

<form method="post">

<table class="form-table">

<?php foreach ($options as $value) { 
    
if ($value['type'] == "text") { ?>
        
	<tr> 
	<th scope="row" style="width: 30%"><?php echo $value['name']; ?>:</th>
	<td>
	<input style="width: 50%" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
	&nbsp; <?php echo $value['note']; ?>
	</td>
	</tr>

<?php } elseif ($value['type'] == "textarea") { ?>
        
	<tr> 
	<th scope="row" style="width: 30%"><?php echo $value['name']; ?>:</th>
	<td>
	<textarea style="width: 80%; height: 70px;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>"><?php if ( get_settings( $value['id'] ) != "") { echo htmlentities(stripslashes(get_settings( $value['id'] ))); } else { echo stripslashes($value['std']); } ?></textarea>
	&nbsp; <?php echo $value['note']; ?>
	</td>
	</tr>

<?php } elseif ($value['type'] == "select") { ?>

    <tr> 
	<th scope="row"><?php echo $value['name']; ?>:</th>
	<td>
	<select name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
	<?php foreach ($value['options'] as $option) { ?>
	<option value="<?php echo $option; ?>" <?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
	<?php } ?>
	</select>
	&nbsp; &nbsp; <?php echo $value['note']; ?>
	</td>
    </tr>
    
<?php 
} elseif ($value['type'] == "header") {?>

	<tr class="header"><td colspan="2"><p><?php  echo $value['name'] ?></p></td></tr>
	
<?php 
} 
}
?>

</table>

<p class="submit">
<input name="save" type="submit" value="Сохранить изменения" />    
<input type="hidden" name="action" value="save" />
</p>
</form>
<form method="post">
<p class="submit" style="border: 0;">
<!-- <input name="reset" type="submit" value="Сбросить" /> -->
<input type="hidden" name="action" value="reset" />
</p>
</form>

<?php
}

add_action('admin_menu', 'mytheme_add_admin');

foreach ($options as $value) {
if (get_settings( $value['id'] ) === FALSE) { $$value['id'] = $value['std']; } else { $$value['id'] = get_settings( $value['id'] ); } }


# Set Values
foreach ($settings as $k=>$v) {
	$var = $shortname.'_'.$k;
	if (!empty($$var)) $settings[$k] = stripslashes($$var);
}

?>
